/*
 * Copyright 1999 Illinois Institute of Technology
 *
 * See the file "LICENSE" for information on usage and redistribution
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 */

/*
 * Name:   i_pdi45.h
 *
 * Purpose: Header for MX driver for Prairie Digital, Inc. Model 45
 *          data acquisition and control module.
 */

#ifndef __I_PDI45_H__
#define __I_PDI45_H__

#include "mx_rec.h"
#include "mx_gener.h"
#include "pdi45.h"

#define MXI_PDI45_STANDARD_FIELDS \
  {-1, -1, "rs232_record", MXFT_RECORD, NULL, 0, {0}, \
	MXF_REC_TYPE_STRUCT, offsetof(MX_PDI45, rs232_record), \
	{0}, NULL, (MXFF_IN_DESCRIPTION | MXFF_IN_SUMMARY)}

MX_API mx_status_type mxi_pdi45_initialize_type( long type );
MX_API mx_status_type mxi_pdi45_create_record_structures( MX_RECORD *record );
MX_API mx_status_type mxi_pdi45_finish_record_initialization(
							MX_RECORD *record );
MX_API mx_status_type mxi_pdi45_delete_record( MX_RECORD *record );
MX_API mx_status_type mxi_pdi45_read_parms_from_hardware( MX_RECORD *record );
MX_API mx_status_type mxi_pdi45_write_parms_to_hardware( MX_RECORD *record );
MX_API mx_status_type mxi_pdi45_open( MX_RECORD *record );
MX_API mx_status_type mxi_pdi45_close( MX_RECORD *record );

extern MX_RECORD_FUNCTION_LIST mxi_pdi45_record_function_list;
extern MX_GENERIC_FUNCTION_LIST mxi_pdi45_generic_function_list;

extern long mxi_pdi45_num_record_fields;
extern MX_RECORD_FIELD_DEFAULTS *mxi_pdi45_rfield_def_ptr;

#endif /* __I_PDI45_H__ */
